Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.script
Class SelectorObjectAdmin

    java.lang.Object
      oracle.ifs.admin.tools.script.SelectorObjectAdmin

    public class SelectorObjectAdmin

extends java.lang.Object

The `SelectorObjectAdmin.java` class - collection of SelectorObject admin tasks test.

Field Summary
`protected AdminManager` | `m_Main`
`protected java.util.Hashtable` | `m_selectorObjTable`
`protected java.util.Hashtable` | `m_selectorResultsTable`

Constructor Summary
`SelectorObjectAdmin(AdminManager main)` The only constructor that is being used.

Method Summary
`protected java.lang.String` | `buildSearchSelection(LibrarySession sess, java.lang.String searchClass, ParameterTable params, java.lang.String valueDelim, java.lang.String arrayValueDelim)`
`void` | `createSelectorObject(LibrarySession sess, ParameterTable params)` Section variant of Create SelectorObject
`void` | `createSelectorObject(LibrarySession sess, java.lang.String idname, SelectorObjectDefinition def)` internal variant of Create SelectorObject
`void` | `createSelectorObject(LibrarySession sess, java.lang.String idname, SelectorObjectDefinition def, VersionDescriptionDefinition vddef)` internal variant of VERSIONED Create SelectorObject
`void` | `createSelectorObject(LibrarySession sess, java.lang.String idname, java.lang.String nameToken)` inline variant of Create SelectorObject
`void` | `deleteSelectorObject(LibrarySession sess, ParameterTable params)` Section variant of delete SelectorObject
`void` | `deleteSelectorObject(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Delete SelectorObject
`void` | `deleteSelectorObject(LibrarySession sess, java.lang.String idname, LibraryObjectDefinition def)` Inline/internal variant of Delete SelectorObject
`protected java.lang.String` | `formatAttr(LibrarySession sess, AttributeValue av)` Format an attribute value as a string
`void` | `freeSelectorObject(LibrarySession sess, ParameterTable params)` Section variant of Free SelectorObject
`void` | `freeSelectorObject(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Free SelectorObject
`protected java.lang.String` | `getAttributeValueSearchString(LibrarySession sess, AttributeValue av)` return an AV converted to a String suitable for use in a Selector SelectQualification.
`protected java.lang.String` | `getAttributeValueString(LibrarySession sess, java.lang.String attrName)` from the name of an attribute value, return the "search identifier".
`protected java.lang.String` | `getColumnName(LibrarySession sess, java.lang.String searchClass, java.lang.String attrName)` Convert the attribute name to a database column name.
`java.lang.String[]` | `getObjectAttrNames(ClassObject cls)` Get an array of attribute names for an object
`protected java.lang.String` | `getOperationString(java.lang.String operName)` parse the operation, return a SQL operator
`void` | `identifySelectorObject(LibrarySession sess, ParameterTable params)` Section variant of Identify SelectorObject
`void` | `identifySelectorObject(LibrarySession sess, java.lang.String idname, java.lang.Long id, java.lang.String name, java.lang.String valueDefaultName, java.lang.String path)` Inline/internal variant of Identify SelectorObject
`void` | `identifySelectorResults(LibrarySession sess, ParameterTable params)` Section variant of identify selector results.
`void` | `identifySelectorResults(LibrarySession sess, Selector sel, ParameterTable params)` Implements identifying results.
`void` | `invokeSelector(LibrarySession sess, ParameterTable params)` Section variant of invoke Selector
`void` | `invokeSelector(LibrarySession sess, Selector sel, ParameterTable params)`
`void` | `invokeSelector(LibrarySession sess, Selector sel, java.lang.String[] selectedAttrs)` Internal variant of invoke Selector
`SelectorObject` | `lookupSelectorObject(java.lang.String idname)`
`protected java.util.Vector` | `lookupSelectorResult(java.lang.String selectorResultHandle)` Get the search Result collection based on the name of the handle.
`void` | `modifySelectorObject(LibrarySession sess, ParameterTable params)` Section variant of Modify SelectorObject
`void` | `modifySelectorObject(LibrarySession sess, java.lang.String idname, SelectorObjectDefinition def)` internal variant of Modify SelectorObject
`protected void` | `modifySelectorResultsFromDefinition(LibrarySession sess, ParameterTable params)` Modifies the attributes of the identified selector results using the definition supplied.
`protected java.lang.String` | `parseExpression(LibrarySession sess, java.lang.String searchClass, java.lang.String expression, java.lang.String arrayValueDelim)`
`protected java.lang.String` | `parseSelectQualification(LibrarySession sess, java.lang.String searchClass, java.lang.String qualLine, java.lang.String valueDelim, java.lang.String arrayValueDelim)`
`void` | `showObject(LibrarySession sess, LibraryObject obj, java.lang.String[] attrNames)` Display the attributes for an object
`void` | `showObject(LibrarySession sess, LibraryObject obj, java.lang.String[] attrNames, java.lang.String[] attrNamesToOmit)`
`void` | `showObjectAttrs(LibrarySession sess, LibraryObject obj, java.lang.String[] attrNames)` Display an output row of attribute values for an object
`void` | `showObjectAttrsHdr(LibrarySession sess, ClassObject cls, java.lang.String[] attrNames)` Display a header row of attribute names for an object
`void` | `showPublicObjectDetail(LibrarySession sess, PublicObject obj)` Display detail information for a public object
`void` | `showSelectorObject(LibrarySession sess, ParameterTable params)` Section variant of showSelectorObject
`void` | `showSelectorObject(LibrarySession sess, SelectorObject selectorObj)`
`void` | `showSelectorObject(LibrarySession sess, java.lang.String selectorObjname)` Inline/internal variant of showSelectorObject
`void` | `undeleteSelectorObject(LibrarySession sess, ParameterTable params)` Section variant of undelete SelectorObject
`void` | `undeleteSelectorObject(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Undelete SelectorObject
`void` | `undeleteSelectorObject(LibrarySession sess, java.lang.String idname, LibraryObjectDefinition def)` Inline/internal variant of Undelete SelectorObject
`void` | `unidentifySelectorObject(LibrarySession sess, ParameterTable params)` Section variant of Unidentify SelectorObject

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Main

    protected AdminManager m_Main

### m_selectorObjTable

    protected java.util.Hashtable m_selectorObjTable

### m_selectorResultsTable

    protected java.util.Hashtable m_selectorResultsTable

Constructor Detail

### SelectorObjectAdmin

    public SelectorObjectAdmin(AdminManager main)

  The only constructor that is being used.

  Parameters:
    `main` - Reference to AdminManager which invokes this.

Method Detail

### createSelectorObject

    public void createSelectorObject(LibrarySession sess,
                                     ParameterTable params)
                              throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  Section variant of Create SelectorObject

  Throws:
    `IfsException`

### createSelectorObject

    public void createSelectorObject(LibrarySession sess,
                                     java.lang.String idname,
                                     java.lang.String nameToken)
                              throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  inline variant of Create SelectorObject

  Throws:
    `IfsException`

### createSelectorObject

    public void createSelectorObject(LibrarySession sess,
                                     java.lang.String idname,
                                     SelectorObjectDefinition def)
                              throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  internal variant of Create SelectorObject

  Throws:
    `IfsException`

### createSelectorObject

    public void createSelectorObject(LibrarySession sess,
                                     java.lang.String idname,
                                     SelectorObjectDefinition def,
                                     VersionDescriptionDefinition vddef)
                              throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  internal variant of VERSIONED Create SelectorObject

  Throws:
    `IfsException`

### modifySelectorObject

    public void modifySelectorObject(LibrarySession sess,
                                     ParameterTable params)
                              throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  Section variant of Modify SelectorObject

  Throws:
    `IfsException`

### modifySelectorObject

    public void modifySelectorObject(LibrarySession sess,
                                     java.lang.String idname,
                                     SelectorObjectDefinition def)
                              throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  internal variant of Modify SelectorObject

  Throws:
    `IfsException`

### freeSelectorObject

    public void freeSelectorObject(LibrarySession sess,
                                   ParameterTable params)
                            throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  Section variant of Free SelectorObject

  Throws:
    `IfsException`

### freeSelectorObject

    public void freeSelectorObject(LibrarySession sess,
                                   java.lang.String idname)
                            throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  Inline/internal variant of Free SelectorObject

  Throws:
    `IfsException`

### deleteSelectorObject

    public void deleteSelectorObject(LibrarySession sess,
                                     ParameterTable params)
                              throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  Section variant of delete SelectorObject

  Throws:
    `IfsException`

### deleteSelectorObject

    public void deleteSelectorObject(LibrarySession sess,
                                     java.lang.String idname)
                              throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  Inline/internal variant of Delete SelectorObject

  Throws:
    `IfsException`

### deleteSelectorObject

    public void deleteSelectorObject(LibrarySession sess,
                                     java.lang.String idname,
                                     LibraryObjectDefinition def)
                              throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  Inline/internal variant of Delete SelectorObject

  Throws:
    `IfsException`

### undeleteSelectorObject

    public void undeleteSelectorObject(LibrarySession sess,
                                       ParameterTable params)
                                throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  Section variant of undelete SelectorObject

  Throws:
    `IfsException`

### undeleteSelectorObject

    public void undeleteSelectorObject(LibrarySession sess,
                                       java.lang.String idname)
                                throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  Inline/internal variant of Undelete SelectorObject

  Throws:
    `IfsException`

### undeleteSelectorObject

    public void undeleteSelectorObject(LibrarySession sess,
                                       java.lang.String idname,
                                       LibraryObjectDefinition def)
                                throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  Inline/internal variant of Undelete SelectorObject

  Throws:
    `IfsException`

### identifySelectorObject

    public void identifySelectorObject(LibrarySession sess,
                                       ParameterTable params)
                                throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  Section variant of Identify SelectorObject

  Throws:
    `IfsException`

### identifySelectorObject

    public void identifySelectorObject(LibrarySession sess,
                                       java.lang.String idname,
                                       java.lang.Long id,
                                       java.lang.String name,
                                       java.lang.String valueDefaultName,
                                       java.lang.String path)
                                throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  Inline/internal variant of Identify SelectorObject

  Throws:
    `IfsException`

### unidentifySelectorObject

    public void unidentifySelectorObject(LibrarySession sess,
                                         ParameterTable params)
                                  throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  Section variant of Unidentify SelectorObject

  Throws:
    `IfsException`

### invokeSelector

    public void invokeSelector(LibrarySession sess,
                               ParameterTable params)
                        throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  Section variant of invoke Selector

  Throws:
    `IfsException`

### invokeSelector

    public void invokeSelector(LibrarySession sess,
                               Selector sel,
                               ParameterTable params)
                        throws IfsException

  Throws:
    `IfsException`

### invokeSelector

    public void invokeSelector(LibrarySession sess,
                               Selector sel,
                               java.lang.String[] selectedAttrs)
                        throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  Internal variant of invoke Selector

  Throws:
    `IfsException`

### identifySelectorResults

    public void identifySelectorResults(LibrarySession sess,
                                        ParameterTable params)
                                 throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  Section variant of identify selector results. This is a replica of invokeSelector.

  Throws:
    `IfsException`

### identifySelectorResults

    public void identifySelectorResults(LibrarySession sess,
                                        Selector sel,
                                        ParameterTable params)
                                 throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  Implements identifying results. very similar to InvokeSelector but implements storing results instead of just showing them on output.

  Throws:
    `IfsException`

### lookupSelectorResult

    protected java.util.Vector lookupSelectorResult(java.lang.String selectorResultHandle)
                                             throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  Get the search Result collection based on the name of the handle.

  Parameters:
    `selectorResultHandle` - string SearchResultHandle
  Throws:
    `IfsException` - if the named search result collection not found.

### modifySelectorResultsFromDefinition

    protected void modifySelectorResultsFromDefinition(LibrarySession sess,
                                                       ParameterTable params)
                                                throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  Modifies the attributes of the identified selector results using the definition supplied.

  Parameters:
    `sess` - LibrarySession Current Session
    `params` - ParameterTable params
  Throws:
    `IfsException` - if the operation fails

### showSelectorObject

    public void showSelectorObject(LibrarySession sess,
                                   ParameterTable params)
                            throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  Section variant of showSelectorObject

  Throws:
    `IfsException`

### showSelectorObject

    public void showSelectorObject(LibrarySession sess,
                                   java.lang.String selectorObjname)
                            throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  Inline/internal variant of showSelectorObject

  Throws:
    `IfsException`

### lookupSelectorObject

    public SelectorObject lookupSelectorObject(java.lang.String idname)
                                        throws IfsException

  Throws:
    `IfsException`

### showSelectorObject

    public void showSelectorObject(LibrarySession sess,
                                   SelectorObject selectorObj)
                            throws IfsException

  Throws:
    `IfsException`

### getObjectAttrNames

    public java.lang.String[] getObjectAttrNames(ClassObject cls)
                                          throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  Get an array of attribute names for an object

  Throws:
    `IfsException`

### showObjectAttrs

    public void showObjectAttrs(LibrarySession sess,
                                LibraryObject obj,
                                java.lang.String[] attrNames)
                         throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  Display an output row of attribute values for an object

  Throws:
    `IfsException`

### showObjectAttrsHdr

    public void showObjectAttrsHdr(LibrarySession sess,
                                   ClassObject cls,
                                   java.lang.String[] attrNames)
                            throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  Display a header row of attribute names for an object

  Throws:
    `IfsException`

### formatAttr

    protected java.lang.String formatAttr(LibrarySession sess,
                                          AttributeValue av)
                                   throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  Format an attribute value as a string

  Throws:
    `IfsException`

### showObject

    public void showObject(LibrarySession sess,
                           LibraryObject obj,
                           java.lang.String[] attrNames)
                    throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  Display the attributes for an object

  Throws:
    `IfsException`

### showObject

    public void showObject(LibrarySession sess,
                           LibraryObject obj,
                           java.lang.String[] attrNames,
                           java.lang.String[] attrNamesToOmit)
                    throws IfsException

  Throws:
    `IfsException`

### showPublicObjectDetail

    public void showPublicObjectDetail(LibrarySession sess,
                                       PublicObject obj)
                                throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  Display detail information for a public object

  Throws:
    `IfsException`

### getAttributeValueSearchString

    protected java.lang.String getAttributeValueSearchString(LibrarySession sess,
                                                             AttributeValue av)
                                                      throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  return an AV converted to a String suitable for use in a Selector SelectQualification. Throw an exception if the AV is an array type, or when the value is null (null is supported for object datatypes).

  Parameters:
    `sess` - the LibrarySession
    `av` - the AttributeVakue that is requested to be converted to a String.
  Throws:
    `IfsException` - if the operation fails

### buildSearchSelection

    protected java.lang.String buildSearchSelection(LibrarySession sess,
                                                    java.lang.String searchClass,
                                                    ParameterTable params,
                                                    java.lang.String valueDelim,
                                                    java.lang.String arrayValueDelim)
                                             throws IfsException

  Throws:
    `IfsException`

### parseSelectQualification

    protected java.lang.String parseSelectQualification(LibrarySession sess,
                                                        java.lang.String searchClass,
                                                        java.lang.String qualLine,
                                                        java.lang.String valueDelim,
                                                        java.lang.String arrayValueDelim)
                                                 throws IfsException

  Throws:
    `IfsException`

### parseExpression

    protected java.lang.String parseExpression(LibrarySession sess,
                                               java.lang.String searchClass,
                                               java.lang.String expression,
                                               java.lang.String arrayValueDelim)
                                        throws IfsException

  Throws:
    `IfsException`

### getColumnName

    protected java.lang.String getColumnName(LibrarySession sess,
                                             java.lang.String searchClass,
                                             java.lang.String attrName)
                                      throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  Convert the attribute name to a database column name.

  Throws:
    `IfsException`

### getOperationString

    protected java.lang.String getOperationString(java.lang.String operName)
                                           throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  parse the operation, return a SQL operator

  Returns:
    the SQL operator, pre and postfixed with a blank
  Throws:
    `IfsException`

### getAttributeValueString

    protected java.lang.String getAttributeValueString(LibrarySession sess,
                                                       java.lang.String attrName)
                                                throws IfsException

  Description copied from class: `SelectorObjectAdmin`
  from the name of an attribute value, return the "search identifier".

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD